#ifndef __CEPAPI_ICON_H__
#define __CEPAPI_ICON_H__

#include "x/api.h"

typedef struct s_icon {
	int x, y;
	t_size size;
	t_size icon_size;
	t_size text_size;
	HICON hIcon;
	const char *text;
	int border;
	int over;
}t_icon;

KAILIN_API int icon_create(t_window *win, t_icon *ico, HICON ico_file, const char *text);
KAILIN_API int icon_destroy(t_window *win, t_icon *ico);
KAILIN_API int icon_set_pos(t_window *win, t_icon *ico, int x, int y);
KAILIN_API int icon_on_update(t_window *win, t_icon *ico);
KAILIN_API int icon_on_over(t_window *win, t_icon *ico, int x, int y);
KAILIN_API int icon_on_click(t_window *win, t_icon *ico, int x, int y);

#endif
