#ifndef __CEPAPI_PLUGIN_H__
#define __CEPAPI_PLUGIN_H__

#include "x/win32/win32.h"

#define PLUGIN_API        __declspec(dllexport)
#define PLUGIN_STARTUP    "window_startup"

struct s_mainwin_plugin;

PLUGIN_API int window_startup(struct s_mainwin_plugin *plugin, HINSTANCE hInst);

typedef int (*t_mainwin_window_startup)(struct s_mainwin_plugin *plugin, HINSTANCE hInst);
typedef int (*t_window_initialize)(t_window *win);
//typedef int (*t_window_get_icon)(HINSTANCE hInstance, HICON *o_icon);

typedef struct s_mainwin_plugin {
	unsigned long flags;
#define PLUGIN_FLAGS_DIALOG     0x000000001  /* other for application */
#define PLUGIN_FLAGS_DESKTOP    0x000000002
#define PLUGIN_FLAGS_RUNONCE    0x000000004

	HICON hIcon; /* only for desktop */
	int type_id;       /* fields filled by window_startup routine */
	char *name;

//	t_window_get_icon geticon;
	t_mainwin_window_startup cleanup;
	t_window_initialize create;//int (*create)(t_window *win);
}t_mainwin_plugin;

#endif
