#ifndef H_CHARSET__
#define H_CHARSET__

#include "x/api.h"
#include <windows.h>

typedef WCHAR uchar;

KAILIN_API int charset_gb2312_to_length(const char *text, int text_len);
KAILIN_API int charset_gb2312_to_unicode(const char *text, int text_len, uchar *buff, int buff_len);
KAILIN_API int charset_gb2312_from_length(const uchar *text, int text_len);
KAILIN_API int charset_gb2312_from_unicode(const uchar *text, int text_len, char *buff, int buff_len);
KAILIN_API int charset_utf_8_to_length(const char *text, int text_len);
KAILIN_API int charset_utf_8_to_unicode(const char *text, int text_len, uchar *buff, int buff_len);
KAILIN_API int charset_utf_8_from_length(const uchar *text, int text_len);
KAILIN_API int charset_utf_8_from_unicode(const uchar *text, int text_len, char *buff, int buff_len);

#endif
