#ifndef __MEMORY_H__
#	define __MEMORY_H__

#include "x/api.h"

typedef unsigned long t_memory_bytes;

KAILIN_API
 int mem_init(void);
KAILIN_API
 int mem_exit(void);

KAILIN_API
 int mem_alloc(void **memblk, t_memory_bytes bytes, const char *msg);
KAILIN_API
 int mem_free(void **memblk);

KAILIN_API
 int mem_get_size(void *memblk, t_memory_bytes *o_bytes);
KAILIN_API
 int mem_test(void *memblk);

//typedef struct s_mem_ops {
//	int (*mem_init)(void);
//	int (*mem_exit)(void);
//
//	int (*mem_alloc)(void **memblk, t_memory_bytes bytes, const char *msg);
//	int (*mem_free)(void **memblk);

//	int (*mem_get_size)(void *memblk, t_memory_bytes *o_bytes);
//	int (*mem_test)(void *memblk);
//}t_mem_ops;

//int mem_get_ops(t_mem_ops *o_ops);

#endif
