/* Progress Common Control */

#ifndef __CTLPRGRS_H__
#define __CTLPRGRS_H__

#include "x/api.h"
#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

KAILIN_API
 int CommCtrlProgressCreate(HWND *hWnd, HWND hWndParent, INT x, INT y, INT width, INT height);
KAILIN_API
 int CommCtrlProgressDestroy(HWND hWnd);
KAILIN_API
 int CommCtrlProgressGetPos(HWND hWnd, INT *nPos);
KAILIN_API
 int CommCtrlProgressGetRange(HWND hWnd, INT *nLow, INT *nHigh);
KAILIN_API
 int CommCtrlProgressSetRange(HWND hWnd, INT nLow, INT nHigh);
KAILIN_API
 int CommCtrlProgressSetPos(HWND hWnd, INT nPos);
KAILIN_API
 int CommCtrlProgressSetDeltaPos(HWND hWnd, INT nPos);
KAILIN_API
 int CommCtrlProgressSetBarColor(HWND hWnd, COLORREF color);
KAILIN_API
 int CommCtrlProgressSetBkColor(HWND hWnd, COLORREF color);
KAILIN_API
 int CommCtrlProgressSetStep(HWND hWnd, INT nStep);
KAILIN_API
 int CommCtrlProgressStepIt(HWND hWnd);

#ifdef __cplusplus
};
#endif

#endif
