/* Common Control Static */

#ifndef __CTLSTTC_H__
#define __CTLSTTC_H__

#include "x/api.h"
#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

KAILIN_API
 int CommCtrlStaticCreate(HWND *hWnd, HWND hParentWnd, INT x, INT y, INT width, INT height);
KAILIN_API
 int CommCtrlStaticDestroy(HWND *hWnd);
KAILIN_API
 int CommCtrlStaticSetText(HWND hWnd, LPCTSTR format, ...);
KAILIN_API
 int CommCtrlStaticSetIcon(HWND hWnd, HICON hIcon);
KAILIN_API
 int CommCtrlStaticSetBitmap(HWND hWnd, HBITMAP hBitmap);
KAILIN_API
 int CommCtrlStaticSetCursor(HWND hWnd, HCURSOR hCursor);

#ifdef __cplusplus
};
#endif

#endif
