#ifndef __PHRASE_H__
#define __PHRASE_H__

#include "x/api.h"
#include "vstr.h"

struct s_phrase_stat {
	int start;
	int end;
	int index;
};

KAILIN_API int phrase_get_token(const char *buf, int offset, int limit, const char *list[], int list_len);
KAILIN_API int phrase_token_step(const char *tab[], int c, int *pstart, int *pend, int *pindex);
KAILIN_API int phrase_token(const char *buff, int *io_offset, int limit, const char *tab[], struct s_phrase_stat *stat);
KAILIN_API int phrase_content(const char *buff, int *io_offset, int limit, const char *text, struct s_vstr *content, struct s_phrase_stat *stat);
KAILIN_API int phrase_content_list(const char *buff, int *io_offset, int limit, const char *list, struct s_vstr *content);

#endif
