#ifndef __CEPAPI_BTNLIST_H__
#define __CEPAPI_BTNLIST_H__

#include "x/api.h"

typedef struct s_btnlist_node {
	struct s_btnlist_node *previous, *next;
	t_button button_body;
	int button_id;
	int x, y;
}t_btnlist_node;

typedef struct s_btnlist {
	t_btnlist_node *button_list;
	int x, y;
}t_btnlist;

KAILIN_API int btnlist_create(t_window *win, t_btnlist *bl);
KAILIN_API int btnlist_destroy(t_window *win, t_btnlist *bl);
KAILIN_API int btnlist_set_pos(t_window *win, t_btnlist *bl, int x, int y);
KAILIN_API int btnlist_insert(t_window *win, t_btnlist *bl, const char *text, int id, int x, int y);
KAILIN_API int btnlist_on_update(t_window *win, t_btnlist *bl);
KAILIN_API int btnlist_on_move_over(t_window *win, t_btnlist *bl, int x, int y);
KAILIN_API int btnlist_on_click(t_window *win, t_btnlist *bl, int x, int y, int *o_id);
KAILIN_API int btnlist_get_size(t_window *win, t_btnlist *bl, int *o_width, int *o_height);

#endif
