#ifndef __CEPAPI_BUTTON_H__
#define __CEPAPI_BUTTON_H__

#include "x/api.h"

typedef struct s_button {
	int x, y;
	t_size size;
	int is_over;
	const char *text;
}t_button;

KAILIN_API int button_create(t_window *win, t_button *btn, const char *text);
KAILIN_API int button_set_pos(t_window *win, t_button *btn, int x, int y);
KAILIN_API int button_on_over(t_window *win, t_button *btn, int x, int y);
KAILIN_API int button_on_click(t_window *win, t_button *btn, int x, int y);
KAILIN_API int button_on_update(t_window *win, t_button *btn);
KAILIN_API int button_clear_over(t_window *win, t_button *btn);

#endif
