#ifndef __CEPAPI_ICONLIST_H__
#define __CEPAPI_ICONLIST_H__

#include "x/api.h"

typedef struct s_iconlist_node {
	struct s_iconlist_node *previous, *next;
	t_icon icon;
	int type_id; /* tag window id */
}t_iconlist_node;

typedef struct s_iconlist {
	t_iconlist_node *icon_list;
}t_iconlist;

KAILIN_API int iconlist_on_update(t_window *win, t_iconlist *lst);
KAILIN_API int iconlist_on_click(t_window *win, t_iconlist *lst, int x, int y, int *o_id);
KAILIN_API int iconlist_on_over(t_window *win, t_iconlist *lst, int x, int y);
KAILIN_API int iconlist_append(t_window *win, t_iconlist *lst, int type_id, HICON icon, const char *text);
KAILIN_API int iconlist_destroy(t_window *win, t_iconlist *lst);
KAILIN_API int iconlist_create(t_window *win, t_iconlist *lst);
KAILIN_API int iconlist_get_size(t_window *win, t_iconlist *lst, t_size *o_size);

#endif
