#ifndef __CEPAPI_NUMPAD_H__
#define __CEPAPI_NUMPAD_H__

#include "x/api.h"

typedef struct s_numpad {
	t_btnlist button_list;
	t_editbox *target;
	int show;
}t_numpad;

KAILIN_API int numpad_create(t_window *win, t_numpad *numpad);
KAILIN_API int numpad_destroy(t_window *win, t_numpad *numpad);
KAILIN_API int numpad_set_target(t_window *win, t_numpad *numpad, t_editbox *tar);
KAILIN_API int numpad_set_pos(t_window *win, t_numpad *numpad, int x, int y);
KAILIN_API int numpad_get_size(t_window *win, t_numpad *numpad, int *width, int *height);
KAILIN_API int numpad_show(t_window *win, t_numpad *numpad, int show);
KAILIN_API int numpad_on_click(t_window *win, t_numpad *numpad, int x, int y);
KAILIN_API int numpad_on_update(t_window *win, t_numpad *numpad);
KAILIN_API int numpad_on_move_over(t_window *win, t_numpad *numpad, int x, int y);

#endif
