#ifndef __CEPAPI_TAG_H__
#define __CEPAPI_TAG_H__

#include "x/api.h"

#define TAG_NAME_LENGTH     256

typedef struct s_tag {
	int x, y;
	t_tag_size size;
	int is_over;
	int is_open;
	char text[TAG_NAME_LENGTH];
	char title[TAG_NAME_LENGTH];
}t_tag;

KAILIN_API int tag_create(t_window *win, t_tag *tag, const char *text);
KAILIN_API int tag_set_pos(t_window *win, t_tag *tag, int x, int y);
KAILIN_API int tag_on_click(t_window *win, t_tag *tag, int x, int y);
KAILIN_API int tag_on_over(t_window *win, t_tag *tag, int x, int y);
KAILIN_API int tag_on_update(t_window *win, t_tag *tag);
KAILIN_API int tag_set_name(t_window *win, t_tag *tag, const char *name, ...);
KAILIN_API int tag_set_name_v(t_window *win, t_tag *tag, const char *name, va_list vargs);

#endif
