/* define base types */

#ifndef __KL_TYPE_H__
#define __KL_TYPE_H__

/* unsigned integer */

typedef unsigned int   uint;
typedef unsigned char  uint8;
typedef unsigned short uint16;
typedef unsigned long  uint32;

/* signed integer */

typedef signed int   sint;
typedef signed char  sint8;
typedef signed short sint16;
typedef signed long  sint32;

/* IEEE float */

typedef float       float32;
typedef double      float64;
typedef long double float80;

/* unicode character */

typedef unsigned long  ucs32;
typedef unsigned short ucs16;
typedef unsigned char  utf8;

/* C language character */

typedef unsigned short wchar; /* L's character, different of compiler */

/* boolean */

#ifndef __cplusplus

typedef int bool;
#define false 0
#define true  1

#endif

#endif
