#ifndef __KAILIN_API_H__
#define __KAILIN_API_H__

#define KAILIN_EXPORT __declspec(dllexport)
#define KAILIN_IMPORT __declspec(dllimport)
#ifdef __cplusplus
#	define KAILIN_EXTERN extern "C"
#else
#	define KAILIN_EXTERN
#endif

#if defined(KAILIN_LIB) /* build or use static library */
#	define KAILIN_API KAILIN_EXTERN
#elif defined(KAILIN_IMPORTS) /* use dynamic linked library */
#	define KAILIN_API KAILIN_IMPORT
#elif defined(KAILIN_EXPORTS) /* build dynamic linked library */
#	define KAILIN_API KAILIN_EXPORT
#else /* build or use static library */
#	define KAILIN_API KAILIN_EXTERN
#endif

#if defined(_LIB)
#	define USER_API KAILIN_EXTERN
#elif defined(_USRDLL)
#	define USER_API KAILIN_EXPORT
#elif defined(_USEDLL)
#	define USER_API KAILIN_IMPORT
#else
#	define USER_API KAILIN_EXTERN
#endif

#endif
