/* ID3V2 Frames ID */

#ifdef DEF

DEF( AENC , "Audio encryption"                                 )
DEF( APIC , "Attached picture"                                 )
DEF( COMM , "Comments"                                         )
DEF( COMR , "Commercial frame"                                 )
DEF( ENCR , "Encryption method registration"                   )
DEF( EQUA , "Equalization"                                     )
DEF( ETCO , "Event timing codes"                               )
DEF( GEOB , "General encapsulated object"                      )
DEF( GRID , "Group identification registration"                )
DEF( IPLS , "Involved people list"                             )
DEF( LINK , "Linked information"                               )
DEF( MCDI , "Music CD identifier"                              )
DEF( MLLT , "MPEG location lookup table"                       )
DEF( OWNE , "Ownership frame"                                  )
DEF( PRIV , "Private frame"                                    )
DEF( PCNT , "Play counter"                                     )
DEF( POPM , "Popularimeter"                                    )
DEF( POSS , "Position synchronisation frame"                   )
DEF( RBUF , "Recommended buffer size"                          )
DEF( RVAD , "Relative volume adjustment"                       )
DEF( RVRB , "Reverb"                                           )
DEF( SYLT , "Synchronized lyric/text"                          )
DEF( SYTC , "Synchronized tempo codes"                         )
DEF( TALB , "Album/Movie/Show title"                           )
DEF( TBPM , "BPM (beats per minute)"                           )
DEF( TCOM , "Composer"                                         )
DEF( TCON , "Content type"                                     )
DEF( TCOP , "Copyright message"                                )
DEF( TDAT , "Date"                                             )
DEF( TDLY , "Playlist delay"                                   )
DEF( TENC , "Encoded by"                                       )
DEF( TEXT , "Lyricist/Text writer"                             )
DEF( TFLT , "File type"                                        )
DEF( TIME , "Time"                                             )
DEF( TIT1 , "Content group description"                        )
DEF( TIT2 , "Title/songname/content description"               )
DEF( TIT3 , "Subtitle/Description refinement"                  )
DEF( TKEY , "Initial key"                                      )
DEF( TLAN , "Language(s)"                                      )
DEF( TLEN , "Length"                                           )
DEF( TMED , "Media type"                                       )
DEF( TOAL , "Original album/movie/show title"                  )
DEF( TOFN , "Original filename"                                )
DEF( TOLY , "Original lyricist(s)/text writer(s)"              )
DEF( TOPE , "Original artist(s)/performer(s)"                  )
DEF( TORY , "Original release year"                            )
DEF( TOWN , "File owner/licensee"                              )
DEF( TPE1 , "Lead performer(s)/Soloist(s)"                     )
DEF( TPE2 , "Band/orchestra/accompaniment"                     )
DEF( TPE3 , "Conductor/performer refinement"                   )
DEF( TPE4 , "Interpreted, remixed, or otherwise modified by"   )
DEF( TPOS , "Part of a set"                                    )
DEF( TPUB , "Publisher"                                        )
DEF( TRCK , "Track number/Position in set"                     )
DEF( TRDA , "Recording dates"                                  )
DEF( TRSN , "Internet radio station name"                      )
DEF( TRSO , "Internet radio station owner"                     )
DEF( TSIZ , "Size"                                             )
DEF( TSRC , "ISRC (international standard recording code)"     )
DEF( TSSE , "Software/Hardware and settings used for encoding" )
DEF( TYER , "Year"                                             )
DEF( TXXX , "User defined text information frame"              )
DEF( UFID , "Unique file identifier"                           )
DEF( USER , "Terms of use"                                     )
DEF( USLT , "Unsychronized lyric/text transcription"           )
DEF( WCOM , "Commercial information"                           )
DEF( WCOP , "Copyright/Legal information"                      )
DEF( WOAF , "Official audio file webpage"                      )
DEF( WOAR , "Official artist/performer webpage"                )
DEF( WOAS , "Official audio source webpage"                    )
DEF( WORS , "Official internet radio station homepage"         )
DEF( WPAY , "Payment"                                          )
DEF( WPUB , "Publishers official webpage"                      )
DEF( WXXX , "User defined URL link frame"                      )

#undef DEF

#endif
