/* ID3V1 Genres */

#ifdef DEF

/* Standard genres */

DEF( 0   , BLUES                  , "Blues"                 )
DEF( 1   , CLASSIC_ROCK           , "ClassicRock"           )
DEF( 2   , COUNTRY                , "Country"               )
DEF( 3   , DANCE                  , "Dance"                 )
DEF( 4   , DISCO                  , "Disco"                 )
DEF( 5   , FUNK                   , "Funk"                  )
DEF( 6   , GRUNGE                 , "Grunge"                )
DEF( 7   , HIP_HOP                , "Hip-Hop"               )
DEF( 8   , JAZZ                   , "Jazz"                  )
DEF( 9   , METAL                  , "Metal"                 )
DEF( 10  , NEWAGE                 , "NewAge"                )
DEF( 11  , OLDIES                 , "Oldies"                )
DEF( 12  , OTHER                  , "Other"                 )
DEF( 13  , POP                    , "Pop"                   )
DEF( 14  , R_AND_B                , "R&B"                   )
DEF( 15  , RAP                    , "Rap"                   )
DEF( 16  , REGGAE                 , "Reggae"                )
DEF( 17  , ROCK                   , "Rock"                  )
DEF( 18  , TECHNO                 , "Techno"                )
DEF( 19  , INDUSTRIAL             , "Industrial"            )
DEF( 20  , ALTERNATIVE            , "Alternative"           )
DEF( 21  , SKA                    , "Ska"                   )
DEF( 22  , DEATH_METAL            , "DeathMetal"            )
DEF( 23  , PRANKS                 , "Pranks"                )
DEF( 24  , SOUNDTRACK             , "Soundtrack"            )
DEF( 25  , EURO_TECHNO            , "Euro-Techno"           )
DEF( 26  , AMBIENT                , "Ambient"               )
DEF( 27  , TRIP_HOP               , "Trip-Hop"              )
DEF( 28  , VOCAL                  , "Vocal"                 )
DEF( 29  , JAZZ_FUNK              , "Jazz+Funk"             )
DEF( 30  , FUSION                 , "Fusion"                )
DEF( 31  , TRANCE                 , "Trance"                )
DEF( 32  , CLASSICAL              , "Classical"             )
DEF( 33  , INSTRUMENTAL           , "Instrumental"          )
DEF( 34  , ACID                   , "Acid"                  )
DEF( 35  , HOUSE                  , "House"                 )
DEF( 36  , GAME                   , "Game"                  )
DEF( 37  , SOUND_CLIP             , "SoundClip"             )
DEF( 38  , GOSPEL                 , "Gospel"                )
DEF( 39  , NOISE                  , "Noise"                 )
DEF( 40  , ALTERN_ROCK            , "AlternRock"            )
DEF( 41  , BASS                   , "Bass"                  )
DEF( 42  , SOUL                   , "Soul"                  )
DEF( 43  , PUNK                   , "Punk"                  )
DEF( 44  , SPACE                  , "Space"                 )
DEF( 45  , MEDITATIVE             , "Meditative"            ) 
DEF( 46  , INSTRUMENTAL_POP       , "InstrumentalPop"       )
DEF( 47  , INSTRUMENTAL_ROCK      , "InstrumentalRock"      )
DEF( 48  , ETHNIC                 , "Ethnic"                )
DEF( 49  , GOTHIC                 , "Gothic"                )
DEF( 50  , DARKWAVE               , "Darkwave"              )
DEF( 51  , TECHNO_INDUSTRIAL      , "Techno-Industrial"     )
DEF( 52  , ELECTRONIC             , "Electronic"            )
DEF( 53  , POP_FOLK               , "Pop-Folk"              )
DEF( 54  , EURODANCE              , "Eurodance"             )
DEF( 55  , DREAM                  , "Dream"                 )
DEF( 56  , SOUTHERN_ROCK          , "SouthernRock"          )
DEF( 57  , COMEDY                 , "Comedy"                )
DEF( 58  , CULT                   , "Cult"                  )
DEF( 59  , GANGSTA                , "Gangsta"               )
DEF( 60  , TOP40                  , "Top40"                 )
DEF( 61  , CHRISTIAN_RAP          , "ChristianRap"          )
DEF( 62  , POP_OR_FUNK            , "Pop/Funk"              )
DEF( 63  , JUNGLE                 , "Jungle"                )
DEF( 64  , NATIVE_AMERICAN        , "NativeAmerican"        )
DEF( 65  , CABARET                , "Cabaret"               )
DEF( 66  , NEWWAVE                , "NewWave"               )
DEF( 67  , PSYCHADELIC            , "Psychadelic"           )
DEF( 68  , RAVE                   , "Rave"                  )
DEF( 69  , SHOWTUNES              , "Showtunes"             )
DEF( 70  , TRAILER                , "Trailer"               )
DEF( 71  , LO_FI                  , "Lo-Fi"                 )
DEF( 72  , TRIBAL                 , "Tribal"                )
DEF( 73  , ACID_PUNK              , "AcidPunk"              )
DEF( 74  , ACID_JAZZ              , "AcidJazz"              )
DEF( 75  , POLKA                  , "Polka"                 )
DEF( 76  , RETRO                  , "Retro"                 )
DEF( 77  , MUSICAL                , "Musical"               )
DEF( 78  , ROCK_AND_ROLL          , "Rock&Roll"             )
DEF( 79  , HARD_ROCK              , "HardRock"              )

/* Extended genres */

DEF( 80  , FOLK                   , "Folk"                  )
DEF( 81  , FOLK_ROCK              , "Folk-Rock"             )
DEF( 82  , NATIONAL_FOLK          , "NationalFolk"          )
DEF( 83  , SWING                  , "Swing"                 )
DEF( 84  , FAST_FUSION            , "FastFusion"            )
DEF( 85  , BEBOB                  , "Bebob"                 )
DEF( 86  , LATIN                  , "Latin"                 )
DEF( 87  , REVIVAL                , "Revival"               )
DEF( 88  , CELTIC                 , "Celtic"                )
DEF( 89  , BLUEGRASS              , "Bluegrass"             )
DEF( 90  , AVANTGARDE             , "Avantgarde"            )
DEF( 91  , GOTHIC_ROCK            , "GothicRock"            )
DEF( 92  , PROGESSIVE_ROCK        , "ProgessiveRock"        )
DEF( 93  , PSYCHEDELIC_ROCK       , "PsychedelicRock"       )
DEF( 94  , SYMPHONIC_ROCK         , "SymphonicRock"         )
DEF( 95  , SLOW_ROCK              , "SlowRock"              )
DEF( 96  , BIG_BAND               , "BigBand"               )
DEF( 97  , CHORUS                 , "Chorus"                )
DEF( 98  , EASY_LISTENING         , "EasyListening"         )
DEF( 99  , ACOUSTIC               , "Acoustic"              )
DEF( 100 , HUMOUR                 , "Humour"                )
DEF( 101 , SPEECH                 , "Speech"                )
DEF( 102 , CHANSON                , "Chanson"               )
DEF( 103 , OPERA                  , "Opera"                 )
DEF( 104 , CHAMBER_MUSIC          , "ChamberMusic"          )
DEF( 105 , SONATA                 , "Sonata"                )
DEF( 106 , SYMPHONY               , "Symphony"              )
DEF( 107 , BOOTY_BASS             , "BootyBass"             )
DEF( 108 , PRIMUS                 , "Primus"                )
DEF( 109 , PORN_GROOVE            , "PornGroove"            )
DEF( 110 , SATIRE                 , "Satire"                )
DEF( 111 , SLOW_JAM               , "SlowJam"               )
DEF( 112 , CLUB                   , "Club"                  )
DEF( 113 , TANGO                  , "Tango"                 )
DEF( 114 , SAMBA                  , "Samba"                 )
DEF( 115 , FOLKLORE               , "Folklore"              )
DEF( 116 , BALLAD                 , "Ballad"                )
DEF( 117 , POWER_BALLAD           , "PowerBallad"           )
DEF( 118 , RHYTHMIC_SOUL          , "RhythmicSoul"          )
DEF( 119 , FREESTYLE              , "Freestyle"             )
DEF( 120 , DUET                   , "Duet"                  )
DEF( 121 , PUNK_ROCK              , "PunkRock"              )
DEF( 122 , DRUM_SOLO              , "DrumSolo"              )
DEF( 123 , ACAPELLA               , "Acapella"              )
DEF( 124 , EURO_HOUSE             , "Euro-House"            )
DEF( 125 , DANCE_HALL             , "DanceHall"             )
DEF( 126 , GOA                    , "Goa"                   )
DEF( 127 , DRUM_AND_BASS          , "Drum&Bass"             )
DEF( 128 , CLUB_HOUSE             , "Club-House"            )
DEF( 129 , HARDCORE               , "Hardcore"              )
DEF( 130 , TERROR                 , "Terror"                )
DEF( 131 , INDIE                  , "Indie"                 )
DEF( 132 , BRIT_POP               , "BritPop"               )
DEF( 133 , NEGERPUNK              , "Negerpunk"             )
DEF( 134 , POLSK_PUNK             , "PolskPunk"             )
DEF( 135 , BEAT                   , "Beat"                  )
DEF( 136 , CHRISTIAN_GANGSTA_RAP  , "ChristianGangstaRap"   )
DEF( 137 , HEAVY_METAL            , "HeavyMetal"            )
DEF( 138 , BLACK_METAL            , "BlackMetal"            )
DEF( 139 , CROSSOVER              , "Crossover"             )
DEF( 140 , CONTEMPORARY_CHRISTIAN , "ContemporaryChristian" )
DEF( 141 , CHRISTIAN_ROCK         , "ChristianRock"         )
DEF( 142 , MERENGUE               , "Merengue"              )
DEF( 143 , SALSA                  , "Salsa"                 )
DEF( 144 , TRASH_METAL            , "TrashMetal"            )
DEF( 145 , ANIME                  , "Anime"                 )
DEF( 146 , JPOP                   , "JPop"                  )
DEF( 147 , SYNTHPOP               , "Synthpop"              )

#undef DEF

#endif
