#ifndef __BYTES_H__
#define __BYTES_H__

#include "x/api.h"

#include "integer.h"
#include "size.h"

#ifdef __cplusplus
extern "C" {
#endif

KAILIN_API Int16  Htons(Int16 data);
KAILIN_API UInt16 Htonus(UInt16 data);
KAILIN_API Int32  Htonl(Int32 data);
KAILIN_API UInt32 Htonul(UInt32 data);
KAILIN_API Int16  Ntohs(Int16 data);
KAILIN_API UInt16 Ntohus(UInt16 data);
KAILIN_API Int32  Ntohl(Int32 data);
KAILIN_API UInt32 Ntohul(UInt32 data);
KAILIN_API void   SwapBytes(void *pbuf, Size buflen);

#ifdef __cplusplus
};
#endif

#endif
