#ifndef __MEMORY_H__
#define __MEMORY_H__

#include "x/api.h"
#include "x/type.h"
#include "x/null.h"

#ifdef __cplusplus
extern "C" {
#endif

#define MemAlloc(p,s) (MemAllocCore((p),(s),__FILE__,__LINE__))

KAILIN_API
 int MemFinish(void);
KAILIN_API
 int MemInitialize(void);
KAILIN_API
 int MemAllocCore(void **memptr, uint32 size, const char *file, int line);
KAILIN_API
 int MemFree(void **memptr);

#ifdef __cplusplus
};
#endif

#endif
