#ifndef __WINDC_H__
#define __WINDC_H__

#include "x/api.h"
#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
	HDC hDC;
	HBITMAP hOldBitmap;
}MEMDC;

KAILIN_API
 int WinDCCreate(MEMDC *memdc, INT nWidth, INT nHeight);
KAILIN_API
 int WinDCDestroy(MEMDC *memdc);
KAILIN_API
 int WinDCPrint(MEMDC *memdc, INT x, INT y, const char *format, ...);
KAILIN_API
 int WinDCErase(MEMDC *memdc, COLORREF color);

#ifdef __cplusplus
};
#endif

#endif
