#ifndef __WINDOW_H__
#define __WINDOW_H__

#include "x/api.h"
#include "windows.h"

#ifdef __cplusplus
extern "C"
#endif

KAILIN_API
 int WindowSetTitle(HWND hWnd, LPCTSTR format, ...);
KAILIN_API
 int WindowCenter(HWND hWnd);
KAILIN_API
 int WindowMaxmize(HWND hWnd);
KAILIN_API
 int WindowMinimize(HWND hWnd);
KAILIN_API
 int WindowNormal(HWND hWnd);
KAILIN_API
 int WindowGetSize(HWND hWnd, INT *nWidth, INT *nHeight);
KAILIN_API
 int WindowGetPos(HWND hWnd, INT *nX, INT *nY);
KAILIN_API
 int WindowSetSize(HWND hWnd, INT nWidth, INT nHeight);
KAILIN_API
 int WindowSetPos(HWND hWnd, INT nX, INT nY);
KAILIN_API
 int WindowGetVersion(VS_FIXEDFILEINFO *verinfo);
KAILIN_API
 int WindowGetModulePath(LPTSTR lpPath, DWORD dwLength);
KAILIN_API
 int WindowGetCurrentModule(HMODULE *phModule);

#ifdef __cplusplus
};
#endif

#endif
