#ifndef __CONF_H__
#define __CONF_H__

#include "x/api.h"

struct conf_value {
	struct conf_value *previous, *next;
	int value_length;
	char value[sizeof(int)];
};

struct conf {
	struct conf *previous, *next;
	struct conf *content;
	struct conf_value *value;
	int name_length;
	char name[sizeof(int)];
};

KAILIN_API int conf_open(struct conf **table, char *include, const char *file_path);
KAILIN_API int conf_close(struct conf **table);
KAILIN_API int conf_find(struct conf **table, const char *s, int offset, int limit, struct conf **node);
KAILIN_API int conf_print(struct conf *table, int left_space);
KAILIN_API int conf_walk(struct conf *table, struct conf **node);

#endif
